Index: branches/HTM-5.1-dev0/source/Lib/TLibDecoder/NALread.cpp
===================================================================
--- branches/HTM-5.1-dev0/source/Lib/TLibDecoder/NALread.cpp	(revision 292)
+++ branches/HTM-5.1-dev0/source/Lib/TLibDecoder/NALread.cpp	(revision 294)
@@ -124,11 +124,6 @@
   assert(forbidden_zero_bit == 0);
 
-#if NAL_REF_FLAG
   nalu.m_nalRefFlag  = (bs.read(1) != 0 );
   nalu.m_nalUnitType = (NalUnitType) bs.read(6);
-#else
-  nalu.m_nalRefIDC   = (NalRefIdc) bs.read(2);
-  nalu.m_nalUnitType = (NalUnitType) bs.read(5);
-#endif
 
 #if QC_MVHEVC_B0046
@@ -137,5 +132,4 @@
   nalu.m_temporalId = bs.read(3) - 1;
 #else
-#if H0388
   nalu.m_temporalId = bs.read(3);
  //  unsigned reserved_one_5bits = bs.read(5);
@@ -147,5 +141,4 @@
   nalu.m_isDepth  = bs.read(1);
 #endif
-#if H0566_TLA
   if ( nalu.m_temporalId )
   {
@@ -157,53 +150,4 @@
   }
 #endif
-#else
-  switch (nalu.m_nalUnitType)
-  {
-  case NAL_UNIT_CODED_SLICE:
-  case NAL_UNIT_CODED_SLICE_IDR:
-#if H0566_TLA
-#if !QC_REM_IDV_B0046
-  case NAL_UNIT_CODED_SLICE_IDV:
-#endif
-  case NAL_UNIT_CODED_SLICE_CRA:
-  case NAL_UNIT_CODED_SLICE_TLA:
-#else
-  case NAL_UNIT_CODED_SLICE_CDR:
-#endif
-    {
-      nalu.m_temporalId = bs.read(3);
-#if VIDYO_VPS_INTEGRATION
-      nalu.m_layerId    = bs.read(5) - 1;
-#else
-      nalu.m_OutputFlag = bs.read(1);
-  //    unsigned reserved_one_4bits = bs.read(4);
-  //    assert(reserved_one_4bits == 1);
-      nalu.m_viewId   = bs.read(3)-1;
-      nalu.m_isDepth  = bs.read(1);
-#endif
-
-#if H0566_TLA
-      if (nalu.m_temporalId == 0)
-      {
-#if QC_REM_IDV_B0046
-        assert(nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE || nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE_CRA || nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE_IDR);
-#else
-        assert(nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE || nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE_CRA || nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE_IDR || nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE_IDV );
-#endif
-      }
-      else
-      {
-        assert(nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE || nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE_TLA);
-      }
-#endif
-    }
-    break;
-  default:
-    nalu.m_temporalId = 0;
-    nalu.m_OutputFlag = true;
-    break;
-  }
-#endif
-#endif
 }
 //! \}
Index: branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecBinCoder.h
===================================================================
--- branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecBinCoder.h	(revision 292)
+++ branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecBinCoder.h	(revision 294)
@@ -54,7 +54,5 @@
   virtual Void  start             ()                                          = 0;
   virtual Void  finish            ()                                          = 0;
-#if OL_FLUSH
   virtual Void  flush            ()                                           = 0;
-#endif
 
   virtual Void  decodeBin         ( UInt& ruiBin, ContextModel& rcCtxModel )  = 0;
@@ -64,7 +62,5 @@
   
   virtual Void  resetBac          ()                                          = 0;
-#if BURST_IPCM
   virtual Void  decodeNumSubseqIPCM( Int& numSubseqIPCM )                  = 0;
-#endif
   virtual Void  decodePCMAlignBits()                                          = 0;
   virtual Void  xReadPCMCode      ( UInt uiLength, UInt& ruiCode)              = 0;
Index: branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecBinCoderCABAC.cpp
===================================================================
--- branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecBinCoderCABAC.cpp	(revision 292)
+++ branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecBinCoderCABAC.cpp	(revision 294)
@@ -65,5 +65,5 @@
 TDecBinCABAC::start()
 {
-#if !OL_FLUSH || OL_FLUSH_ALIGN
+#if OL_FLUSH_ALIGN
   assert( m_pcTComBitstream->getNumBitsUntilByteAligned() == 0 );
 #endif
@@ -72,5 +72,5 @@
   m_bitsNeeded = -8;
   m_uiValue    = m_pcTComBitstream->readByte() << 8;
-#if OL_FLUSH && !OL_FLUSH_ALIGN
+#if !OL_FLUSH_ALIGN
   m_uiLastByte = m_pcTComBitstream->readByte();
   m_uiValue   |= m_uiLastByte;
@@ -85,5 +85,4 @@
 }
 
-#if OL_FLUSH
 Void 
 TDecBinCABAC::flush()
@@ -108,5 +107,4 @@
 #endif // OL_FLUSH_ALIGN
 }
-#endif // OL_FLUSH
 
 /**
@@ -122,5 +120,5 @@
   m_uiValue   = pcTDecBinCABAC->m_uiValue;
   m_bitsNeeded= pcTDecBinCABAC->m_bitsNeeded;
-#if OL_FLUSH && !OL_FLUSH_ALIGN
+#if !OL_FLUSH_ALIGN
   m_uiLastByte= pcTDecBinCABAC->m_uiLastByte;
 #endif
@@ -152,5 +150,5 @@
     {
       m_bitsNeeded = -8;
-#if OL_FLUSH && !OL_FLUSH_ALIGN
+#if !OL_FLUSH_ALIGN
       m_uiLastByte = m_pcTComBitstream->readByte();
       m_uiValue += m_uiLastByte;    
@@ -173,5 +171,5 @@
     if ( m_bitsNeeded >= 0 )
     {
-#if OL_FLUSH && !OL_FLUSH_ALIGN
+#if !OL_FLUSH_ALIGN
       m_uiLastByte = m_pcTComBitstream->readByte();
       m_uiValue += m_uiLastByte << m_bitsNeeded;
@@ -192,5 +190,5 @@
   {
     m_bitsNeeded = -8;
-#if OL_FLUSH && !OL_FLUSH_ALIGN
+#if !OL_FLUSH_ALIGN
     m_uiLastByte = m_pcTComBitstream->readByte();
     m_uiValue += m_uiLastByte;
@@ -215,5 +213,5 @@
   while ( numBins > 8 )
   {
-#if OL_FLUSH && !OL_FLUSH_ALIGN
+#if !OL_FLUSH_ALIGN
     m_uiLastByte = m_pcTComBitstream->readByte();
     m_uiValue = ( m_uiValue << 8 ) + ( m_uiLastByte << ( 8 + m_bitsNeeded ) );
@@ -241,5 +239,5 @@
   if ( m_bitsNeeded >= 0 )
   {
-#if OL_FLUSH && !OL_FLUSH_ALIGN
+#if !OL_FLUSH_ALIGN
     m_uiLastByte = m_pcTComBitstream->readByte();
     m_uiValue += m_uiLastByte << m_bitsNeeded;
@@ -285,5 +283,5 @@
       {
         m_bitsNeeded = -8;
-#if OL_FLUSH && !OL_FLUSH_ALIGN
+#if !OL_FLUSH_ALIGN
         m_uiLastByte = m_pcTComBitstream->readByte();
         m_uiValue += m_uiLastByte;    
@@ -306,5 +304,4 @@
 }
 
-#if BURST_IPCM
 /** Decode subsequent_pcm_num.
  * \param numSubseqIPCM
@@ -323,5 +320,5 @@
     {
       m_bitsNeeded = -8;
-#if OL_FLUSH && !OL_FLUSH_ALIGN
+#if !OL_FLUSH_ALIGN
       m_uiLastByte = m_pcTComBitstream->readByte();
       m_uiValue += m_uiLastByte;
@@ -342,5 +339,4 @@
   numSubseqIPCM --;
 }
-#endif
 
 /** Decode PCM alignment zero bits.
Index: branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecBinCoderCABAC.h
===================================================================
--- branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecBinCoderCABAC.h	(revision 292)
+++ branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecBinCoderCABAC.h	(revision 294)
@@ -56,7 +56,5 @@
   Void  start             ();
   Void  finish            ();
-#if OL_FLUSH
   Void  flush             ();
-#endif
   
   Void  decodeBin         ( UInt& ruiBin, ContextModel& rcCtxModel );
@@ -66,7 +64,5 @@
   
   Void  resetBac          ();
-#if BURST_IPCM
   Void  decodeNumSubseqIPCM( Int& numSubseqIPCM ) ;
-#endif
   Void  decodePCMAlignBits();
   Void  xReadPCMCode      ( UInt uiLength, UInt& ruiCode );
@@ -82,5 +78,5 @@
   UInt                m_uiRange;
   UInt                m_uiValue;
-#if OL_FLUSH && !OL_FLUSH_ALIGN
+#if !OL_FLUSH_ALIGN
   UInt                m_uiLastByte;
 #endif
